Get the cloud cost settings (bearer twin)
import requests
url = "https://platform.ankra.app/api/v1/org/cloud-cost/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloud-cost/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloud-cost/settings \
--header 'Authorization: Bearer <token>'{
"currency": "<string>",
"display_currency": "<string>",
"effective_discount_pct": 123,
"fx_rates": {},
"include_network_egress_estimate": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Cost
Get the cloud cost settings (bearer twin)
The organisation’s stored cost settings, the display currency effective for the token’s user, and the FX table (ankra cost settings get). Bearer-PAT twin of the browser route of the same name under /org; the console’s session cookie is not accepted here and the browser route answers a token with a login redirect.
GET
/
api
/
v1
/
org
/
cloud-cost
/
settings
Get the cloud cost settings (bearer twin)
import requests
url = "https://platform.ankra.app/api/v1/org/cloud-cost/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cloud-cost/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cloud-cost/settings \
--header 'Authorization: Bearer <token>'{
"currency": "<string>",
"display_currency": "<string>",
"effective_discount_pct": 123,
"fx_rates": {},
"include_network_egress_estimate": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.